# General-purpose Photovoltaic Device Model gpvdm.com - a drift diffusion
# base/Shockley-Read-Hall model for 1st, 2nd and 3rd generation solarcells.
# The model can simulate OLEDs, Perovskite cells, and OFETs.
# 
# Copyright (C) 2008-2020 Roderick C. I. MacKenzie
# All rights reserved.
# 
# https://www.gpvdm.com
# r.c.i.mackenzie at googlemail.com
# 
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#     * Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above copyright
#       notice, this list of conditions and the following disclaimer in the
#       documentation and/or other materials provided with the distribution.
#     * Neither the name of the GPVDM nor the
#       names of its contributors may be used to endorse or promote products
#       derived from this software without specific prior written permission.
# 
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED. IN NO EVENT SHALL Roderick C. I. MacKenzie BE LIABLE FOR ANY
# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


import sys
import pdb
import pygtk
pygtk.require('2.0')
import gtk

import os

class config_item:
	tag=""
	value=""


class config():
	tag_list=[]
	path=""
	def set_value(self,tag,value):
		found=False

		for i in range(0,len(self.tag_list)):
			if self.tag_list[i].tag==tag:
				self.tag_list[i].value=value
				found=True
				break

		if found==False:
			a=config_item()
			a.tag=tag
			a.value=value
			self.tag_list.append(a)
			pos=len(self.tag_list)-1

		print "Saved as",os.path.join(self.path,"config.inp")
		a = open(os.path.join(self.path,"config.inp"), "w")
		a.write(str(len(self.tag_list))+"\n")
		for i in range(0,len(self.tag_list)):
			a.write(self.tag_list[i].tag+"\n")
			a.write(str(self.tag_list[i].value)+"\n")

		a.close()

	def get_value(self,tag,default):
		ret=default
		for i in range(0,len(self.tag_list)):
			if self.tag_list[i].tag==tag:
				ret=self.tag_list[i].value
				if ret=="True":
					ret=True
				elif ret=="False":
					ret=False
		return ret

	def load(self,path):
		self.tag_list=[]
		self.path=path
		try:
			f = open(os.path.join(self.path,"config.inp"))
			lines = f.readlines()
			f.close()

			for i in range(0, len(lines)):
				lines[i]=lines[i].rstrip()

			number=int(lines[0])
			for i in range(0,number):
				a=config_item()
				a.tag=lines[i*2+1]
				a.value=lines[i*2+2]
				self.tag_list.append(a)
		except:
			pass

