# General-purpose Photovoltaic Device Model gpvdm.com - a drift diffusion
# base/Shockley-Read-Hall model for 1st, 2nd and 3rd generation solarcells.
# The model can simulate OLEDs, Perovskite cells, and OFETs.
# 
# Copyright (C) 2008-2020 Roderick C. I. MacKenzie
# All rights reserved.
# 
# https://www.gpvdm.com
# r.c.i.mackenzie at googlemail.com
# 
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#     * Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above copyright
#       notice, this list of conditions and the following disclaimer in the
#       documentation and/or other materials provided with the distribution.
#     * Neither the name of the GPVDM nor the
#       names of its contributors may be used to endorse or promote products
#       derived from this software without specific prior written permission.
# 
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED. IN NO EVENT SHALL Roderick C. I. MacKenzie BE LIABLE FOR ANY
# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


import pygtk
pygtk.require('2.0')
import gtk
import sys
import os
import shutil
import commands
import subprocess
class welcome_class(gtk.HBox):

	lines=[]
	edit_list=[]
	file_name=""
	line_number=[]
	save_file_name=""

	# This callback quits the program
	def delete_event(self, widget, event, data=None):
		gtk.main_quit()
		return False


	def wow(self,image_name):
		print "Welcome"
		output=subprocess.Popen(["c:\\opvdm\\opvdm.exe", "--version"], stdout=subprocess.PIPE).communicate()[0]
		label = gtk.Label()
		label.set_markup("<big><b>Organic photovoltaic device model</b>\n"+
				 "(<a href=\"http://www.opvdm.com\" "+
                         "title=\"Click to find out more\">www.opvdm.com</a>)\n\n"
				+"To make a new simulation directory click <i>new</i> in the <i>file</i> menu\n"
				+"or to open an existing simulation click on the <i>open</i> button.\n"
				+"There is more help on the <a href=\"http://www.roderickmackenzie.eu/opvdm_wiki.html\">Wiki</a>.  "

				+"Please report bugs to\nroderick.mackenzie@nottingham.ac.uk.\n\n"
				+"Rod\n18/10/13\n"
				+"~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\n\n\n\n"
				+output.splitlines()[0]+"</big>")
		self.add(label)
	        image = gtk.Image()
   		image.set_from_file(image_name)
		self.add(image)

   		image.show()
		label.show()




