#ifndef pulse_h
#define pulse_h
#include "../../sim.h"

struct pulse 
{
	double pulse_dt;
	double pulse_t0;
	double pulse_t1;
	double pulse_t2;
	double pulse_Vexternal;
	int pulse_repeat;
	double pulse_laser_on;
	double pulse_laser_width;
	double pulse_laser_power;
	double pulse_Vss;
	int pulse_light;
	double pulse_sun;
	double pulse_shift;
	double pulse_bigmeshstart;
	double pulse_bigmeshstop;
	double pulse_bigdt;
	double Rshort_pulse;
};
void sim_pulse(struct device *in);
extern struct pulse pulse_config;
void pulse_load_config(struct pulse *in,struct device *dev);
void newton_aux_pulse(struct device *in,double V,double* i,double* didv,double* didphi,double* didxil,double* didxipl,double* didphir,double* didxir,double* didxipr);
double newton_pulse(struct device *in,double Vtot,int usecap);

#endif
